#ifndef LIBKYAPPUNINSTSEC_H
#define LIBKYAPPUNINSTSEC_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 添加一个包到防卸载名单中
 * @param pkgname[in] 包名
 * @return int  0:成功，-1:出错, 1:软件包已经在列表
 */
int kdk_pkg_uninstall_add(const char *pkgname);

/**
 * @brief 删除一个包从防卸载名单中
 * @param pkgname[in] 包名
 * @return int 0:成功，-1:出错，1:不存在
 */
int kdk_pkg_uninstall_del(const char *pkgname);

#ifdef __cplusplus
}
#endif

#endif // LIBKYAPPUNINSTSEC_H
